package com.pcloud.common.core.constant;

/**
 * 周任务code
 *
 * @author huanghui
 * @create 2017-09-20 11:32
 **/
public enum WeektaskCode {
    //前端埋点
    //体验专题应用
    VIEW_SPECIAL_APP("view_special_app"),
    //体验教育表格应用
    VIEW_EF_APP("view_ef_app"),
    //扫扫看首页
    KK_APP_IN_WECHAT("kk_app_in_wechat"),
    //查看二维码的扫描时间段统计
    VIEW_SCENE_SCAN_TIME_STATIS("view_scene_scan_time_statis"),
    //查看现代纸书收益
    VIEW_BOOK_INCOME("view_book_income"),
    //分享红包做书战报
    SHARE_RAYSTASK_REPORT("share_raystask_report"),
    //查看任务收益
    VIEW_RAYSTASK_INCOME("view_raystask_income"),
    //下载现代纸书运营方案等级评估标准
    DOWNLOAD_EVALUATION_STANDARD("download_evaluation_standard"),
    //书刊管理→新增书刊→选择做书模板→关闭模板做书
    CLICK_CLOSE_TEMPLATE("click_close_template"),
    //书刊管理→找到任意书刊→综合信息→24h浏览趋势图
    CLICK_VIEW_BOOK_TIDE("click_view_book_tide"),
    //消息配置→找到任意二维码→配置内容→访问趋势
    CLICK_VIEW_QRCODE_TIDE("click_view_qrcode_tide"),
    //数据分析→连续点击读者分析&图书分析&资源分析&排行榜
    CLICK_VIEW_ANALYSIS("click_view_analysis"),
    //收益管理→连续点击图书收益&作品收益&赞赏收益&任务收益
    CLICK_VIEW_GAINS("click_view_gains"),
    //做书应用→创建音频应用→最后一步点击保存
    CLICK_SAVE_AUDIO_APP("click_save_audio_app"),
    //关联应用到二维码
    RELATE_APP_TO_QRCODE("relate_app_to_qrcode"),
    //查看案例不少于三个 并且提留时间高于90S
    VIEW_SHARE_CASE("view_share_case"),
    //点击进入编创大赛
    CLICK_NECIS_MATCH("click_necis_match"),
    //扫描二维码进入直播课
    SCAN_WATCH_LIVEAPP("scan_watch_liveapp"),
    //修改书刊信息
    UPDATE_BOOK_INFO("update_book_info"),
    //调整应用顺序
    SET_STEP("set_step"),
    //确定回复
    DEFINITE_REPLY("definite_reply"),
    /**
     * -------通用埋点------
     */
    //创建应用
    CREATE_APP("create_app"),
    //应用提交审核
    COMMIT_APP("commit_app"),
    //审核应用
    AUDIT_APP("audit_app"),
    //创建商品
    CREATE_PRODUCT("create_product"),
    //配置二维码
    CONFIG_QRCODE("config_qrcode"),
    //上传资源
    UPLOAD_RESOURCE("upload_resource"),
    //资源提交审核或者自主审核
    COMMIT_RESOURCE("commit_resource"),
    //更换应用风格模板
    CHANGE_APP_STYLE("change_app_style"),
    //使用标准作书模板
    TEMPLATE_BOOK("template_book"),
    //红包作书-领取任务奖励
    RECEIVE_BONUS("receive_bonus"),
    //红包作书-完成周任务
    CONSTANT_WEEKS("constant_weeks"),
    //题库-试题提交审核或自主审核
    COMMIT_QUESTION("commit_question"),
    //题库-试卷提交审核或自主审核
    COMMIT_PAPER("commit_paper"),
    //为问答应用关联问答商品
    ADD_QA_PRODUCT_TO_QA_APP("config_qa_product_to_qa_app"),
    //回答读者问题
    ANSWER_READER_QUESTION("answer_reader_question"),
    //读者提交读书卡片
    SUBMIT_BOOKCARD("submit_bookcard"),
    //在专题应用中为栏目添加内容
    ADD_CONTENT_FOR_COLUMN_IN_SPECIAL_APP("add_content_for_column_in_special_app"),
    //为报名应用提交报名信息
    SUBMIT_BM_INFO("submit_bm_info"),
    //投票
    VOTE_IN_VOTE_APP("vote_in_vote_app"),
    //查看报名数据
    VIEW_BM_DATA("view_bm_data"),
    //查看投票数据
    VIEW_VOTE_DATA("view_vote_data"),
    //关联二维码到图书
    RELATE_SCENE_TO_BOOK("relate_scene_to_book"),
    //读者圈中置顶一条动态
    TOP_NOTE_IN_GROUP("top_note_in_group"),
    //app端发布一条动态
    APP_GROUP_POST_NOTE("app_group_post_note"),
    //教育表格新增一个问题
    EF_ADD_QA("ef_add_qa"),
    //直播分享
    LIVE_SHARE("live_share"),
    //自建课程
    CREATE_COURSE("create_course"),
    //把超级作者的课程加入课表
    ADD_SUPERMERCHANT_COURSE("add_supermerchant_course"),
    //开始直播
    START_LIVE("start_live"),
    //新增课程
    ADD_TO_TABLE("add_to_table"),
    //APP端开始直播
    START_LIVEAPP("start_liveapp"),
    //互动区发言
    SPEAK_LIVEAPP("speak_liveapp"),
    //退出直播
    END_LIVEAPP("end_liveapp"),
    //发布动态
    POST_NOTE_APP("post_note_app"),
    //发布动态图片动态
    POST_PIC_NOTE_AND_TOP("post_pic_note_and_top"),
    //建立营销机制
    CREATE_MARKETING("create_marketing"),
    //配置押题宝典
    CONFIG_TREASURE("config_treasure"),
    //读者圈发布PDF动态
    W_POST_PDF_NOTE("w_post_pdf_note"),
    //周任务配置二维码消息
    CONFIG_WEEK_QRCODE("config_week_qrcode"),
    //发布直播讲义
    MODIFY_WORK("modify_work"),
    //体验录播模式
    EXPERIENCE_VIDEO("experience_video"),
    //勾选超级作者作品
    ADD_SUPER_COURSE("add_super_course"),
    //读者端发布动态
    C_PUBLISH_DYNAMIC("c_publish_dynamic"),
	  //专题问答设置免费
    SET_FREE("set_free"),
    //选择性格心理类场景
    CREATE_TEST_CHARACTER("create_test_character"),
    //选择知识抢答类场景
    CREATE_TEST_RESPONDER("create_test_responder"),
    //读者圈中加入直播课程
    W_POST_LIVEAPP_NOTE("w_post_liveapp_note"),
    //创建专题扩展应用新增栏目
    NEW_COLUMN("new_column"),

    //----------------------------------成就任务-------------------
    /**
     * 读者在读者圈中发动态
     */
    AC_GM("ac_gm"),
    /**
     * 读者扫码关注
     */
    AC_READER("ac_reader"),
    /**
     * 读者加入读者圈
     */
    AC_GROUPER("ac_grouper"),
    /**
     * 创建一个二维码
     */
    W_CREATE_ONE_QRCODE("w_create_one_qrcode"),
    /**
     * 创建一个读者圈应用，【非埋点】
     */
    W_CREATE_ONE_GROUP_APP("w_create_one_group_app"),
    /**
     * 创建三个二维码，@已弃用
     */
    W_CREATE_THREE_QRCODE("w_create_three_qrcode"),
    /**
     * 创建三个读者圈应用，@已弃用
     */
    W_CREATE_THREE_QROUP_APP("w_create_three_qroup_app"),
    /**
     * 配置二维码一次
     */
    W_CONFIGURE_ONE_QRCODE("w_configure_one_qrcode"),
    /**
     * 创建一个读书卡片应用，【非埋点】
     */
    W_CREATE_ONE_BOOKCARD_APP("w_create_one_bookcard_app"),
    /**
     * 创建一个教育表格应用，【非埋点】
     */
    W_CREATE_ONE_EDUCATIONFORM_APP("w_create_one_educationform_app"),
    /**
     * 新增书刊
     */
    W_ADD_ONE_BOOK("w_add_one_book"),
    /**
     * 新增三本书刊，已弃用
     */
    W_ADD_THREE_BOOK("w_add_three_book"),
    /**
     * 在读者圈中以圈主身份发布一段语音
     */
    W_POST_ONE_VOICE("w_post_one_voice"),
    /**
     * 在读者圈中以圈主身份发表三条动态
     */
    W_POST_THREE_NOTE("w_post_three_note"),
    /**
     * 创建问答应用，【非埋点】
     */
    W_CREATE_ONE_QA_APP("w_create_one_qa_app"),
    /**
     * 创建问答资讯
     */
    W_CREATE_ONE_QA_INFO("w_create_one_qa_info"),
    /**
     * 查看读者圈案例展示-前端埋点
     */
    W_CHECK_GROUP_CASE_SHOW("w_check_group_case_show"),
    /**
     * 查看读书卡片案例展示-前端埋点
     */
    W_CHECK_BOOKCARD_CASE_SHOW("w_check_bookcard_case_show"),

    /**
     * 查看教育表格案例展示-前端埋点
     */
    W_CHECK_EDUCATIONFORM_CASE_SHOW("w_check_educationform_case_show"),
    //1-2周任务---------2017/11/22
    /**
     * 发布并加精读者圈图文动态
     */
    W_POST_PIC_NOTE_AND_TOP("w_post_pic_note_and_top"),
    /**
     * 发布并置顶读者圈语音动态
     */
    W_POST_VOICE_NOTE_AND_TOP("w_post_voice_note_and_top"),
    /**
     * 发布添加作品的读者圈动态
     */
    W_POST_NOTE_WITH_PRODUCT("w_post_note_with_product"),
    /**
     * 发布添加应用的读者圈动态
     */
    W_POST_NOTE_WITH_APP("w_post_note_with_app"),
    /**
     * 审核通过读者动态
     */
    W_PASS_READER_NOTE("w_pass_reader_note"),
    /**
     * 评论读者动态
     */
    W_REPLY_READER_NOTE("w_reply_reader_note"),
    /**
     * 设置付费读者圈问答信息，并置顶
     */
    W_SET_PAID_MSG_AND_TOP("w_set_paid_msg_and_top"),
    /**
     * 设置免费读者圈问答信息
     */
    W_SET_TIME_FREE_MSG("w_set_time_free_msg"),
    /**
     * 创建文章应用【非埋点】
     */
    W_CREATE_PAPER_APP("w_create_paper_app"),
    /**
     * 在文章应用中插入商品、背景音乐
     */
    W_INSERT_ELEMENTS_FOR_PAPER_APP("w_insert_elements_for_paper_app"),
    /**
     * 赞赏并评论文章
     */
    W_PAPER_APP_REWARD_AND_REPLY("w_paper_app_reward_and_reply"),
    /**
     * 审核通过并回复一条文章应用评论
     */
    W_PASS_COMMENT_AND_REPLY("w_pass_comment_and_reply"),
    /**
     * 上传一个视频资源【非埋点】
     */
    W_UPLOAD_VIDEO("w_upload_video"),
    /**
     * 创建视频应用，在其通过审核后配置到二维码【非埋点】
     */
    W_CREATE_VIDEO_APP_AND_ADD_TO_QRCODE("w_create_video_app_and_add_to_qrcode"),
    /**
     * 为应用选取数字资源、配置悬浮商品
     */
    W_CONFIG_ELEMENTS_FOR_APP("w_config_elements_for_app"),
    /**
     * 为视频应用添加推广作品
     */
    W_ADD_ELEMENTS_FOR_VIDEO_APP("w_add_elements_for_video_app"),
    //3-4周任务---------2017/11/28
    /**
     * 预览标准做书模板效果-前端埋点
     */
    W_PREVIEW_TEMPLATE_EFFECT("w_preview_template_effect"),
    /**
     * 模板做书-前端埋点
     */
    W_TEMPLATE_BOOK("w_template_book"),
    /**
     * 查看现代纸书数据-前端埋点
     */
    W_CHECK_MODERN_BOOK_DATA("w_check_modern_book_data"),
    /**
     * 修改二维码样式-前端埋点
     */
    W_UPDATE_QRCODE_STYLE("w_update_qrcode_style"),
    /**
     * 删除并恢复二维码-前端埋点
     */
    W_DEL_AND_RESTORE_ARCODE("w_del_and_restore_arcode"),
    /**
     * 查看二维码数据-前端埋点
     */
    W_CHECK_QRCODE_DATA("w_check_qrcode_data"),
    /**
     * 调整二维码扫码回复内容-前端埋点
     */
    W_ADJUST_QRCODE_CONTENT("w_adjust_qrcode_content"),
    /**
     * 下载二维码-前端埋点
     */
    W_DOWNLOAD_ONE_QRCODE("w_download_one_qrcode"),
    /**
     * 创建问答商品，并配置到二维码【非埋点】
     */
    W_CREATE_QA_PRODUCT_AND_ADD_TO_QRCODE("w_create_qa_product_and_add_to_qrcode"),
    /**
     * 创建问答应用，并配置到二维码【非埋点】
     */
    W_CREATE_QA_APP_AND_ADD_TO_QRCODE("w_create_qa_app_and_add_to_qrcode"),
    /**
     * 转换问答应用风格模板【非埋点】
     */
    W_CHANGE_QA_APP_STYLE("w_change_qa_app_style"),
    /**
     * 确认作者问答内容
     */
    W_AUDIT_ONE_QA("w_audit_one_qa"),
    /**
     * 扫码体验RAYS现代编辑小程序-前端埋点
     */
    W_SCAN_AND_LOGIN_MP("w_scan_and_login_mp"),
    /**
     * 添加一条编辑语音-前端埋点
     */
    W_ADD_VOICE("w_add_voice"),
    /**
     * 将编辑语音配置到二维码-前端埋点
     */
    W_ADD_VOICE_TO_QRCODE("w_add_voice_to_qrcode"),
    /**
     * 为二维码中的作品添加编辑语音-前端埋点
     */
    W_ADD_VOICE_TO_PRODUCT("w_add_voice_to_product"),
    /**
     * 创建读书卡片应用并配置到二维码【非埋点】
     */
    W_CREATE_BOOKCARD_APP_AND_ADD_TO_QRCODE("w_create_bookcard_app_and_add_to_qrcode"),
    /**
     * 为读书卡片添加推广作品
     */
    W_ADD_PROMOTION_PRODUCT_FOR_BOOKCARD("w_add_promotion_product_for_bookcard"),
    /**
     * 审核一次读书卡片
     */
    W_AUDIT_ONE_BOOKCARD("w_audit_one_bookcard"),
    /**
     * 上传PDF资源并提交审核【非埋点】
     */
    W_UPLOAD_PDF("w_upload_pdf"),
    /**
     * 创建PDF应用并配置到二维码【非埋点】
     */
    W_CREATE_PDF_APP_AND_ADD_TO_QRCODE("w_create_pdf_app_and_add_to_qrcode"),
    /**
     * 创建扫扫看应用并配置到二维码【非埋点】
     */
    W_CREATE_KK_APP_AND_ADD_TO_QRCODE("w_create_kk_app_and_add_to_qrcode"),
    /**
     * 体验扫扫看应用，并付费更换一次扫码结果-第一步为前端埋点
     */
    W_USE_KK_APP_AND_CHANGE_ROLE("w_use_kk_app_and_change_role"),
    /**
     * 转换扫扫看应用风格模板，并扫码查看新模板效果-第二步为前端埋点
     */
    W_CHANGE_KK_APP_STYLE_AND_CHECK_EFFECT("w_change_kk_app_style_and_check_effect"),
    /**
     * 修改二维码扫码回复内容【非埋点】
     */
    W_CHANGE_QRCODE_CONTENT("w_change_qrcode_content"),
    /**
     * 创建答案应用并配置到二维码【非埋点】
     */
    W_CREATE_ANSWER_APP_AND_ADD_TO_QRCODE("w_create_answer_app_and_add_to_qrcode"),
    /**
     * 创建教育表格应用，新增1道题目，并配置到二维码【非埋点】
     */
    W_CREATE_EF_APP_AND_ADD_TO_QRCODE("w_create_ef_app_and_add_to_qrcode"),
    /**
     * 为教育表格中的一条问题添加推广作品
     */
    W_ADD_PROMOTION_PRODUCT_FOR_EF("w_add_promotion_product_for_ef"),
    /**
     * 创建标准分应用并配置到二维码【非埋点】
     */
    W_CREATE_ZSCORE_APP_AND_ADD_TO_QRCODE("w_create_zscore_app_and_add_to_qrcode"),
    /**
     * 上传音频资源并提交审核【非埋点】
     */
    W_UPLOAD_AUDIO("w_upload_audio"),
    /**
     * 创建音频应用并配置到二维码【非埋点】
     */
    W_CREATE_AUDIO_APP_AND_ADD_TO_QRCODE("w_create_audio_app_and_add_to_qrcode"),
    //7-8周任务------2017/12/18
    /**
     * 生成二维码【非埋点】
     */
    W_CREATE_QRCODE("w_create_qrcode"),
    /**
     * 模板导入一套试题
     */
    W_TEMPLATE_IMPORT_TEST_QUESTION("w_template_import_test_question"),
    /**
     * 手动新增一道试题
     */
    W_HAND_ADD_TEST_QUESTION("w_hand_add_test_question"),
    /**
     * 自动创建试卷
     */
    W_AUTO_CREATE_TEST_PAPER("w_auto_create_test_paper"),
    /**
     * 手动创建试卷
     */
    W_HAND_CREATE_TEST_PAPER("w_hand_create_test_paper"),
    /**
     * 创建听力应用
     */
    W_CREATE_LISTEN_APP_AND_ADD_TO_QRCODE("w_create_listen_app_and_add_to_qrcode"),
    /**
     * 上传图片资源并提交审核【非埋点】
     */
    W_UPLOAD_IMAGE("w_upload_image"),
    /**
     * 创建图片应用【非埋点】
     */
    W_CREATE_IMAGE_APP_AND_ADD_TO_QRCODE("w_create_image_app_and_add_to_qrcode"),
    /**
     * 添加现代纸书【非埋点】
     */
    W_ADD_MODERN_BOOK("w_add_modern_book"),
    /**
     * 批量下载二维码
     */
    W_BATCH_DOWNLOAD_ONE_QRCODE("w_batch_download_one_qrcode"),
    /**
     * 生成读者圈邀请码
     */
    W_GENERATE_GROUP_INVITE_CODE("w_generate_group_invite_code"),
    /**
     * 创建插入商品的文章
     */
    W_CREATE_ARTICLE_APP_WITH_PRODUCT("w_create_article_app_with_product"),
    /**
     * 配置智能推送
     */
    W_CONFIG_INTELLIGENT_PUSH("w_config_intelligent_push"),
    //新增周任务 2018/01/26
    /**
     * 三分钟玩转现代纸书
     */
    W_BOOK_ADD("w_book_add"),
    /**
     * 用图文资讯优化读者阅读体验
     */
    W_GROUP_NEWS("w_group_news"),
    /**
     * 给读者的60秒语音资讯
     */
    W_GROUP_VOICE("w_group_voice"),
    /**
     * 借助推广，提升内容服务购买率
     */
    W_GROUP_ELEMENT_NOTE("w_group_element_note"),
    /**
     * 建立读者与读者的交互
     */
    W_GROUP_PASS_NOTE("w_group_pass_note"),
    /**
     * 实现与读者的一对一交流
     */
    W_GROUP_REPLY_NOTE("w_group_reply_note"),
    /**
     * 获取后续内容服务的推送时间参考
     */
    W_VIEW_SCENE_SCAN_TIME_STATIS("w_view_scene_scan_time_statis"),
    /**
     * 让你对现代纸书收益了如指掌
     */
    W_VIEW_BOOK_INCOME("w_view_book_income"),
    /**
     * 与读者持续互动
     */
    W_REPLY_READER_COMMENT("w_reply_reader_comment"),
    /**
     * 秀出你的红包做书战绩吧！
     */
    W_SHARE_RAYSTASK_REPORT("w_share_raystask_report"),
    /**
     * 展现读者思维的光芒
     */
    W_BOOKCARD_AUDIT("w_bookcard_audit"),
    /**
     * 连接作者与读者的交互桥梁
     */
    W_QA_CONFIRM("w_qa_confirm"),
    /**
     * 快来看看你的RAYS钱包
     */
    W_VIEW_RAYSTASK_INCOME("w_view_raystask_income"),

    /**
     *第四版周任务code
     *@author wangrui
     *@date 17:42 2018/5/21
     */
    /**
     * 增量图文知识服务
     */
    W4_GROUP_PIC_POST("w4_group_pic_post"),
    /**
     * 与读者交互
     */
      W5_CREATE_BOOK("w5_create_book"),
    /**
     * 新增二维码
     */
    W5_CREATE_QRCODE("w5_create_qrcode"),
    /**
     * 创建直播课应用
     */
    W5_CREATE_LIVEAPP("w5_create_liveapp"),
    /**
     * 完成手机直播
     */
    W5_FINISH_LIVEAPP("w5_finish_liveapp"),
    /**
     * 创建读者圈应用
     */
    W5_CREATE_GROUP("w5_create_group"),
    /**
     * 更新读者圈应用
     */
    W5_UPDATE_GROUP("w5_update_group"),
    /**
     * 创建答案应用
     */
    W5_CREATE_ANSWER_APP("w5_create_answer_app"),
    /**
     * 创建视频应用
     */
    W5_CREATE_VIDEO_APP("w5_create_video_app"),
    /**
     * 建立营销机制
     */
    W5_CREATE_MARKETING("w5_create_marketing"),
    /**
     * 打造大IP图书
     */
    W5_MAKE_IP_BOOK("w5_make_ip_book"),
    /**
     * 修改书刊信息
     */
    W5_UPDATE_BOOK_INFO("w5_update_book_info"),
    /**
     * 创建音频应用
     */
    W5_CREATE_AUDIO_APP("w5_create_audio_app"),
    /**
     * 创建打卡应用
     */
    W5_CREATE_CLOCK_APP("w5_create_clock_app"),
    /**
     * 创建精品文章应用
     */
    W5_CREATE_ARTICLE_APP("w5_create_article_app"),
    /**
     * 创建趣味测试应用
     */
    W5_CREATE_TASTETEST_APP("w5_create_tastetest_app"),
    /**
     * 调整应用呈现顺序
     */
    W5_SORT_APP("w5_sort_app"),
    /**
     * 查看纸书数据
     */
    W5_VIEW_BOOK_DATA("w5_view_book_data"),
    /**
     * 创建视频应用并关联书刊
     */
    W5_CREATE_VIDEO_APP_AND_RELATE("w5_create_video_app_and_relate"),
    /**
     * 更新PDF应用并发布到读者圈
     */
    W5_UPDATE_GROUP_BY_PDF("w5_update_group_by_pdf"),
    /**
     * 创建愿望单应用
     */
    W5_CREATE_WISHLIST_APP("w5_create_wishlist_app"),
    /**
     * 创建专题问答应用
     */
     W5_CREATE_EF_APP("w5_create_ef_app"),
    /**
     * 更新读者交流圈动态2
     */
    W5_CREATE_GROUP_FOR_PDF("w5_update_group_for_pdf"),
    /**
     * 配置二维码消息
     */
    W5_CONFIG_QRCODE("w5_config_qrcode"),
    /**
     *发布直播讲义
     */
    W5_PUBLISH_LECTURE("w5_publish_lecture"),
    /**
     *体验录播模式
     */
    W5_EXPERIENCE_VIDEO("w5_experience_video"),
    /**
     *审核动态
     */
    W5_AUDIT_DYNAM("w5_audit_dynam"),
    /**
     *新建直播课应用
     */
    W5_CREATE_SUPER_LIVEAPP("w5_create_super_liveapp"),
    /**
     *新建延伸阅读应用
     */
    W5_CREATE_PDF("w5_create_pdf"),
    /**
     *新建在线题库应用
     */
    W5_CREATE_QUESTION_BANK("w5_create_question_bank"),
    /**
     *标准服务预览
     */
     W5_VIEW_GUIDE("w5_view_guide"),
    /**
     *创建投票应用
     */
    W5_CREATE_VOTE_APP("w5_create_vote_app"),
    /**
     *创建抽奖应用
     */
    W5_CREATE_DRAW_APP("w5_create_draw_app"),
    /**
     *预览效果
     */
    W5_CONFIGURE_NEWS("w5_configure_news"),
    /**
     *分享排名
     */
    W5_SHARE_RANK("w5_share_rank"),
    /**
     * 新增性格心理类场景应用(周E3)
     */
    W5_CREATE_TEST_CHARACTER("w5_create_test_character"),
    /**
     * 新增知识抢答类场景应用（周F3）
     */
    W5_CREATE_TEST_RESPONDER("w5_create_test_responder"),
    /**
     * 新建直播课应用（周E4）
     */
    W5_CREATE_RELATE_LIVEAPP("w5_create_relate_liveapp"),
    /**
     * 新建读者交流圈应用（周E5）
     */
    W5_CREATE_RELATE_GROUP("w5_create_relate_group"),
    /**
     * 新建读书卡片应用（周E6）
     */
    W5_CREATE_BOOKCARD("w5_create_bookcard"),
    /**
     * 新建电子书应用（周E7）
     */
    W5_CREATE_EBOOK("w5_create_ebook"),
    /**
     * 新建分数排名应用（周F6）
     */
    W5_CREATE_SCORE_APP("w5_create_score_app"),
    /**
     * 新建专题扩展应用（周F7）
     */
    W5_CREATE_SPECIAL_APP("w5_create_special_app"),
    /**
     * 新建作者留言应用（周F8）
     */
    W5_CREATE_VOICE_APP("w5_create_voice_app"),
    /**
     * 新建报名应用（周F9）
     */
    W5_CREATE_BM_APP("w5_create_bm_app"),
    /**
     * 新建专家咨询应用（周F4）
     */
    W5_CREATE_QA_APP("w5_create_qa_app"),
    /**
     *体验专家咨询应用（周F5）
     */
    W5_EXPERIENCE_CONSULTING("w5_experience_consulting"),
    ;

    public final String code;

    WeektaskCode(String code) {
        this.code = code;
    }
}
